Package com.smartgwt.client.ai

# Class MakeQueryDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestionStep
com.smartgwt.client.ai.MakeQueryDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class MakeQueryDataQuestionStep extends DataQuestionStep

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MakeQueryDataQuestionStep()`
  `MakeQueryDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDataSourceName()`
  The name of the data source to query.
  `static MakeQueryDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getQueryDescription()`
  A string containing a detailed description of the query to make against the specified data source.
  `String`
  `getQueryPurpose()`
  A string containing a detailed explanation of the purpose for making a query.
  `DataQuestionStepType`
  `getType()`
  The value MAKE_QUERY.
  `MakeQueryDataQuestionStep`
  `setDataSourceName(String dataSourceName)`
  The name of the data source to query.
  `MakeQueryDataQuestionStep`
  `setQueryDescription(String queryDescription)`
  A string containing a detailed description of the query to make against the specified data source.
  `MakeQueryDataQuestionStep`
  `setQueryPurpose(String queryPurpose)`
  A string containing a detailed explanation of the purpose for making a query.
  `MakeQueryDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value MAKE_QUERY.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MakeQueryDataQuestionStep

    public MakeQueryDataQuestionStep()

  - ### MakeQueryDataQuestionStep

    public MakeQueryDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static MakeQueryDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setDataSourceName

    public MakeQueryDataQuestionStep setDataSourceName(String dataSourceName)
    The name of the data source to query.
    Parameters:
      `dataSourceName` - New dataSourceName value. Default value is *specified via AI*
    Returns:
      `MakeQueryDataQuestionStep` instance, for chaining setter calls
    See Also:
      - `GlobalId`

  - ### getDataSourceName

    public String getDataSourceName()
    The name of the data source to query.
    Returns:
      Current dataSourceName value. Default value is *specified via AI*
    See Also:
      - `GlobalId`

  - ### setQueryDescription

    public MakeQueryDataQuestionStep setQueryDescription(String queryDescription)
    A string containing a detailed description of the query to make against the specified data source.
    Parameters:
      `queryDescription` - New queryDescription value. Default value is *specified via AI*
    Returns:
      `MakeQueryDataQuestionStep` instance, for chaining setter calls

  - ### getQueryDescription

    public String getQueryDescription()
    A string containing a detailed description of the query to make against the specified data source.
    Returns:
      Current queryDescription value. Default value is *specified via AI*

  - ### setQueryPurpose

    public MakeQueryDataQuestionStep setQueryPurpose(String queryPurpose)
    A string containing a detailed explanation of the purpose for making a query.
    Parameters:
      `queryPurpose` - New queryPurpose value. Default value is *specified via AI*
    Returns:
      `MakeQueryDataQuestionStep` instance, for chaining setter calls

  - ### getQueryPurpose

    public String getQueryPurpose()
    A string containing a detailed explanation of the purpose for making a query.
    Returns:
      Current queryPurpose value. Default value is *specified via AI*

  - ### setType

    public MakeQueryDataQuestionStep setType(DataQuestionStepType type)
    The value MAKE_QUERY.
    Overrides:
      `setType` in class `DataQuestionStep`
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `MakeQueryDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value MAKE_QUERY.
    Overrides:
      `getType` in class `DataQuestionStep`
    Returns:
      Current type value. Default value is null